%define major 1

Summary: A library for jabber.
Name: libetherx
Version: 1.0.1
Release: 6mdk
Source0: %{name}-%{version}.tar.bz2
Copyright: GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Buildrequires: libxode-devel libadns-devel pth-devel

%description
  Originally, the etherx daemon routed XML streams among agents.
  Now the etherx daemon has morphed into a library that allows any agent
  to become the daemon if the daemon is not found.                                                                                                                                
%package -n %{name}%{major}
Summary: A library for jabber.
Copyright: GPL
Group: System/Libraries

%description -n %{name}%{major}
  Originally, the etherx daemon routed XML streams among agents.
  Now the etherx daemon has morphed into a library that allows any agent
  to become the daemon if the daemon is not found.                                                                                                                                

%package -n %{name}%{major}-devel
Summary:   Package to make developpement with libetherx.
Copyright: GPL
Group: Development/C
Provides:  %{name}-devel
Requires: %{name}%{major} = %{version}

%description -n %{name}%{major}-devel
  Package to make developpement with libetherx.
  Originally, the etherx daemon routed XML streams among agents.
  Now the etherx daemon has morphed into a library that allows any agent
  to become the daemon if the daemon is not found.                                                                               

%prep
%setup
%{configure}

%build
%{make}

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}%{major} -p /sbin/ldconfig
%postun -n %{name}%{major} -p /sbin/ldconfig

%files -n %{name}%{major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{name}%{major}-devel
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_bindir}/*
%{_mandir}/*/*
%{_includedir}/*.h



%changelog
* Thu Apr 12 2001 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-6mdk
- Rebuild with good distribution tag

* Wed Jan 10 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 1.0.1-5mdk
- adjusted BuildRequires: adns-devel --> libadns-devel

* Thu Nov 16 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-4mdk
- Rebuild with new libxode
- change for mandrake new lib policy

* Wed Oct  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.1-3mdk
- removed build requires on libetherx-devel.

* Tue Oct  3 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-2mdk
- add correct Buildrequires
- add requires in devel package

* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-1mdk
- UP to 1.0.1

* Fri Sep  1 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-2mdk
- Rebuild for next release

* Mon Jul  3 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-1mdk
- Fisrt mdk release


# end of file
